/* .cart {
    display: flex;
    flex-direction: column;
    width: 100%;
    font-size: 25px;
} */

.cart__total {
    display: flex;
    align-items: center;
    padding: 36px 30px 36px 50px;
    width: 100%;
    height: 60px;
    background-color: white;
    color: #303856;
    font-size: 18px;
    font-weight: 600;
    border-bottom: 1px solid lightgrey;
    text-transform: uppercase;
    font-family: Gilroy-bold;
    justify-content: space-between;
}

.cart__total--span {
    color: #61D5DF;
    font-family: Gilroy-medium;
    margin-left: 10px;
    font-size: 20px;
}

/***********************************/

.cart {
    width: 100%;
    position: relative;
}

.cart__content {
    margin: 20px;
    background-color: #ffffff;
    border: solid 1px rgba(218, 219, 221, 0.8);
    border-radius: 2px;
    padding: 25px;
}

.cart__table {
    border-collapse: separate;
    border-spacing: 0 8px;
    width: 100%;

    position: relative;
}

.cart__header {
    text-align: left;
    font-size: 18px;
    color: rgb(39, 39, 39);
    border: none;
    padding-bottom: 15px;
    padding-left: 5px;
}

.cart__data {
    color: #0a283d;
    border: 1px solid rgba(218, 219, 221, 1);
    font-size: 15px;
    padding-left: 8px;
}
 
.cart__header:first-child, .cart__data:first-child {
    border-top-left-radius: 8px;
    border-bottom-left-radius: 8px;
    border-right: none;
}

.cart__header:last-child, .cart__data:last-child {
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
    border-left: none;
}

.cart__header:last-child {
    padding-right: 15px;
}

.cart__header:last-child, .cart__data:last-child {
    text-align: right;
}

.cart__data:not(:first-child):not(:last-child) {
    border-left: none;
    border-right: none;
}

.cart__img {
    height: 100px;
    width: 150px;
    object-fit: contain;
    /* border-radius: 5%;  */
}

.cart__data--img {
    display: flex;
    align-items: center;
    width: 100%;
    padding: 10px;
}

.cart__data {
    font-size: 18px;
}

.cart__data--total {
    font-family: Gilroy-medium;
    padding-right: 20px;
}

.cart__header--quantity {
    padding-left: 0;
}

.cart__data--quantity {
    padding-left: 15px;
}

.remove-several__wrapper {
    display: flex;
}

.cart-remove-several__button {
    border: none;
    background-color: transparent;
    cursor: pointer;
}

.remove-several__icon {
    font-size: 18px;
    padding-left: 7px;
    color: rgb(236, 67, 67);
}

.cart__header--remove-several {
    /* padding-left: 2%; */
    padding-left: 10px;
}

.cart-remove-all__button {
    border: 1px solid grey;
    color: grey;
    font-family: Gilroy-medium;
    background-color: transparent;
    font-size: 14px;
    text-transform: uppercase;
    border-radius: 5px;
    padding: 10px;
    cursor: pointer;
}

/**********************************************/

.cart__content-table {
    overflow-y: auto;
    height: calc(100vh - 74px);
    padding: 20px 50px;
}

.row-image__container {
    width: 160px;
    height: 100px;
    /* margin: 0 auto; */
}

.row__image {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.row__table-head {
    color: #303856;
    font-family: Gilroy-bold;
    font-weight: 600;
    font-size: 14px;
}

.remove-item__icon {
    color: #798e9e;
    font-size: 18px;
    cursor: pointer;
    padding: 8px;
    border-radius: 5px;
}

.remove-item__icon:hover {
    color:rgba(236, 67, 67, 0.9);
    background-color: rgba(255, 0, 0, 0.1);
    transition-duration: 0.2s;
}

.cart-stats__container {
    margin-top: 20px;
}

.quantity__container {
    display: flex;
    padding: 4px;
    background-color: rgba(142,176,233,.05);
    border: 1px solid rgba(95,102,115,.1);
    border-radius: 8px;
    width: 82px;
    justify-content: space-between;
    margin: 0 auto;
}

.quantity__button {
    border: none;
    background-color: transparent;
    color: #b2a6c6;
    cursor: pointer;
    text-align: center;
}

.quantity__button:hover {
    background-color: rgba(142,176,233,.15);
    color: #4785ef;
    border-radius: 6px;
}

.quantity__item--num {
    font-weight: 600;
    font-family: Gilroy-light;
}

.cart__balance {
    font-size: 18px;
    text-transform: uppercase;
    color: #303856;
    font-family: Gilroy-bold;
    font-weight: 600
}

.cart__balance--bucks {
    font-family: Gilroy-bold;
    color: #61D5DF;
}

.cart__header--right {
    display: flex;
    align-items: center;
}